package de.hhu.ba.yoshikoWrapper.swing.components;

import java.awt.Insets;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.IOException;
import java.net.URI;

import javax.swing.JButton;

import de.hhu.ba.yoshikoWrapper.core.GraphicsLoader;
import de.hhu.ba.yoshikoWrapper.core.LocalizationManager;
import de.hhu.ba.yoshikoWrapper.help.HelpLinks;

@SuppressWarnings("serial")
public class HelpButton extends JButton{
	public HelpButton() {
		super(GraphicsLoader.getInfoIcon(12));
		setMargin(new Insets(0,0,0,0));
		setToolTipText(LocalizationManager.get("tooltip_helpButton"));
		addActionListener(
			new ActionListener() {
				@Override
				public void actionPerformed(ActionEvent e) {
					URI uri = HelpLinks.getHelpLink(getParent().getClass());
					if (uri != null) {
						try {
							java.awt.Desktop.getDesktop().browse(uri);
						} catch (IOException ex) {
							ex.printStackTrace();
						}
					}
				}
			
			}
			
		);
	}
}
